﻿@{
    ViewBag.Title = "Registration";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Registration Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">

                   <div class="form-group">
                        <label for="inputDate" class="col-sm-2 control-label">Registration Date</label>

                        <div class="col-sm-5">

                            <div class="input-group date">
                                <div class="input-group-addon">
                                    <i class="fa fa-calendar"></i>
                                </div>
                                <input type="text" class="form-control pull-right" id="inputDate">
                            </div>

                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputPID" class="col-sm-2 control-label">Select Patient No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputPID">
                              
                            </select>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddRegistrationData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>


<script>
    function AddRegistrationData() {
        debugger;
        var inputDate = $('#inputDate').val();
        var InputPID = $('#InputPID :selected').attr('id');


        $.ajax({
            url: '@Url.Action("AddRegistration", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ inputDate: inputDate, InputPID: InputPID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>
<script>
    $( document ).ready(function() {
        $("#inputDate").datepicker();

});
</script>




<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDropDownsPNRM", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
            if (data.status == "success") {
            debugger;
            var Patient = data.Patient;
            
            for (i = 0; i < Patient.length; i++) {
                $('#InputPID').append('<option id=' + Patient[i].pono + ' value=' + Patient[i].pname + '>' + Patient[i].pname + '  </option>');
            }

            }
            },
            error: function (xhr) {
            alert(xhr.responseText);
            }
            });

            });
            </script>
